<mat-card>
  <form #taskForm="ngForm" id="taskForm" (submit)="closeDialog(true)">
    <mat-card-header>Neu Task</mat-card-header>
    <mat-card-content>
      <mat-form-field appearance="standard">
        <mat-label>Beschreibung</mat-label>
        <input matInput required placeholder="Was zu tun?" [(ngModel)]="model.description" class="form-control" name="description">
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
      <br>
      <mat-form-field appearance="fill" class="example-form-field">
        <mat-label>Fälligkeitsdatum</mat-label>
        <input matInput required [matDatepicker]="datepicker" [(ngModel)]="model.dueDate" class="form-control" name="dueDate">
        <mat-datepicker-toggle matSuffix [for]="datepicker" name="dueDate"></mat-datepicker-toggle>
        <mat-datepicker #datepicker>
          <mat-datepicker-actions>
            <button mat-button matDatepickerCancel>Zurück</button>
            <button mat-raised-button color="primary" matDatepickerApply>Verwenden</button>
          </mat-datepicker-actions>
        </mat-datepicker>
      </mat-form-field>
      <br>
      <button mat-button (click)="closeDialog(false)">Abbrechen</button>
      <button mat-button type="submit" [disabled]="!taskForm.form.valid">Erstellen</button>
    </mat-card-content>
  </form>
</mat-card>
